Issues building Orbacus 4.3.4 with ActivePerl version 5.14

0 Likes

Summary This article clarifies an issue with building Orbacus with the latest version of ActivePerl 5.14.
Article Number 34737
Environment ORBacus 4.3.4 for C All Supported Operating Systems
Question/Problem Description
Issues building Orbacus with ActivePerl version 5.14

Linking errors when building Orbacus 4.3.4 with ActivePerl version 5.14

makedef.pl doesn't work with ActivePerl version 5.14
Clarifying Information
Error Message
Defect/Enhancement Number OB-98
Cause

This issue is cause by a change in behaviour of the function "split".

This leads to empty .DEF files and link errors.

 

Resolution

Update the file  OB-4.3.4/config/makedef.pl on line 31

from:
split;

to:
@_ = split;

Workaround
Notes
Attachment

Created date: 12 September 2012
Last Modified: 12 February 2013
Last Published: 17 September 2012
First Published date: 17 September 2012
Comment List
Anonymous
Related Discussions
Recommended